Subject: Re: MUS 607 HS TOYOTA COROLLA
From: Raphael Peter <[email-masked]>
To: Michael Orimolade <[email-masked]>, Okoroafor Igwe <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>, Folashade Odutola <[email-masked]>, Matthew Okesanya <[email-masked]>, Robert Iyade <[email-masked]>
Date: Mon, 9 Mar 2026 06:32:02 +0000

33,000.00 Approved

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Michael Orimolade <[email-masked]>
Sent: Sunday, March 8, 2026 8:40 PM
To: Okoroafor Igwe <[email-masked]>; Raphael Peter <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>; Folashade Odutola <[email-masked]>; Matthew Okesanya <[email-masked]>; Robert Iyade <[email-masked]>
Subject: RE: MUS 607 HS TOYOTA COROLLA

Dear @Raphael Peter<mailto:[email-masked]>

Please approve further.

Michael Orimolade

Inspection | Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09037793363, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Okoroafor Igwe <[email-masked]>
Sent: Tuesday, 3 March 2026 09:06
To: Michael Orimolade <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>; Folashade Odutola <[email-masked]>; Matthew Okesanya <[email-masked]>; Robert Iyade <[email-masked]>
Subject: RE: MUS 607 HS TOYOTA COROLLA

Dear Michael,

Kindly use this approval.

W/Na

OREKOYA WORKSHOP

V/Ma

COROLLA

V/No

MUS 607 HS

JO

68243

S/No

Description of Goods

Qty

Amount

Mt officer aprv

HOD

Control

1

ENGINE OIL

5LIT

40,000.00

27,500.00

 27,500

2

OIL FILTER

4,000.00

2,500.00

 2,500

3

LABOUR

10,000.00

5,000.00

 3,000

4

TOTAL

54,000.00

35,000.00

 33,000

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text    Description automatically generated]

From: Michael Orimolade <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, 3 March 2026 08:31
To: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Cc: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Matthew Okesanya <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>
Subject: RE: MUS 607 HS TOYOTA COROLLA

Dear Sir,

Please review and approve.

W/Na

OREKOYA WORKSHOP

V/Ma

COROLLA

V/No

MUS 607 HS

JO

68243

S/No

Description of Goods

Qty

Amount

Mt officer aprv

HOD

Control

1

ENGINE OIL

5LIT

40,000.00

27,500.00

2

OIL FILTER

4,000.00

2,500.00

3

LABOUR

10,000.00

5,000.00

4

TOTAL

54,000.00

35,000.00

Michael Orimolade

Inspection | Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09037793363, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Bamidele Orekoya Ope Oluwa Orekoya <[email-masked]<mailto:[email-masked]>>
Sent: Monday, 2 March 2026 16:19
To: Folashade Odutola <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Subject: MUS 607 HS TOYOTA COROLLA

Dear Sir/Ma,

I am requesting approval for the estimate submitted for the vehicle.

File attached below

Warm Regard